import { ITutorialStep } from '../lib.interfaces';
export declare class Tutorial {
    private readonly _stepIndex;
    readonly stepIndex: import("@angular/core").Signal<number>;
    readonly step: import("@angular/core").Signal<ITutorialStep | undefined>;
    readonly hasPrevious: import("@angular/core").Signal<boolean>;
    readonly steps: ITutorialStep[];
    constructor(steps: ITutorialStep[]);
    reset(): void;
    setStepIndex(index: number): void;
    nextStep(): void;
    private startHook;
    private endHook;
    previousStep(): void;
}
