import { EventEmitter } from '@angular/core';
import { Tutorial } from './Tutorial';
import { IEnjoyHintOptions } from '../lib.interfaces';
export declare class EnjoyHintRef {
    readonly tutorial: Tutorial;
    readonly options: Partial<IEnjoyHintOptions>;
    constructor(tutorial: Tutorial, options?: Partial<IEnjoyHintOptions>);
    readonly onClose: EventEmitter<boolean>;
    close(completed?: boolean): void;
}
