import { ElementRef, NgZone, OnDestroy } from '@angular/core';
import { Direction } from './direction.pipe';
import * as i0 from "@angular/core";
export declare class ArrowComponent implements OnDestroy {
    private readonly host;
    private readonly _direction;
    get direction(): Direction | undefined;
    set direction(value: Direction | undefined);
    private readonly _pointToElement;
    get pointToElement(): HTMLElement | null;
    set pointToElement(value: HTMLElement | null);
    readonly viewBox: import("@angular/core").Signal<string>;
    readonly pathData: import("@angular/core").Signal<string>;
    private readonly bounds;
    private readonly resizeObserver;
    constructor(host: ElementRef<SVGElement>, zone: NgZone);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArrowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ArrowComponent, "lib-arrow", never, { "direction": { "alias": "direction"; "required": false; }; "pointToElement": { "alias": "pointToElement"; "required": false; }; }, {}, never, never, true, never>;
}
